package ru.dbotthepony.mc.otm.graph.matter

import ru.dbotthepony.mc.otm.capability.matter.*

interface IMatterGraphListener {
	fun onPatternAdded(state: PatternState) {}
	fun onPatternRemoved(state: PatternState) {}
	fun onPatternUpdated(newState: PatternState, oldState: PatternState) {}

	fun onMatterTaskCreated(task: ReplicationTask) {}
	fun onMatterTaskUpdated(newState: ReplicationTask, oldState: ReplicationTask) {}
	fun onMatterTaskFinished(state: ReplicationTask) {}
	fun onMatterTaskRemoved(state: ReplicationTask) {}
}
